## WebKitDOMCSSValue WebKitDOMCSSValue |

## Functions

gchar * | webkit_dom_css_value_get_css_text ()
void | webkit_dom_css_value_set_css_text ()
gushort | webkit_dom_css_value_get_css_value_type ()

## Properties

char * | css-text | Read / Write
guint | css-value-type | Read

## Types and Values

struct | WebKitDOMCSSValue
#define | WEBKIT_DOM_CSS_VALUE_CSS_INHERIT
#define | WEBKIT_DOM_CSS_VALUE_CSS_PRIMITIVE_VALUE
#define | WEBKIT_DOM_CSS_VALUE_CSS_VALUE_LIST
#define | WEBKIT_DOM_CSS_VALUE_CSS_CUSTOM

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMCSSValue

## Description

## Functions

### webkit_dom_css_value_get_css_text ()

    gchar *
    webkit_dom_css_value_get_css_text (WebKitDOMCSSValue *self);

`webkit_dom_css_value_get_css_text` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMCSSValue |

#### Returns

A gchar

### webkit_dom_css_value_set_css_text ()

    void
    webkit_dom_css_value_set_css_text (WebKitDOMCSSValue *self,
                                       const gchar *value,
                                       GError **error);

`webkit_dom_css_value_set_css_text` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMCSSValue |
value | A gchar |
error | GError |

### webkit_dom_css_value_get_css_value_type ()

    gushort
    webkit_dom_css_value_get_css_value_type
                                   (WebKitDOMCSSValue *self);

`webkit_dom_css_value_get_css_value_type` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMCSSValue |

#### Returns

A gushort

## Types and Values

### struct WebKitDOMCSSValue

    struct WebKitDOMCSSValue;

### WEBKIT_DOM_CSS_VALUE_CSS_INHERIT

    #define WEBKIT_DOM_CSS_VALUE_CSS_INHERIT 0

`WEBKIT_DOM_CSS_VALUE_CSS_INHERIT` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_CSS_VALUE_CSS_PRIMITIVE_VALUE

    #define WEBKIT_DOM_CSS_VALUE_CSS_PRIMITIVE_VALUE 1

`WEBKIT_DOM_CSS_VALUE_CSS_PRIMITIVE_VALUE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_CSS_VALUE_CSS_VALUE_LIST

    #define WEBKIT_DOM_CSS_VALUE_CSS_VALUE_LIST 2

`WEBKIT_DOM_CSS_VALUE_CSS_VALUE_LIST` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_CSS_VALUE_CSS_CUSTOM

    #define WEBKIT_DOM_CSS_VALUE_CSS_CUSTOM 3

`WEBKIT_DOM_CSS_VALUE_CSS_CUSTOM` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

## Property Details

### The `“css-text”` property

      “css-text”                 char *

read-write gchar* CSSValue:css-text.

Owner: WebKitDOMCSSValue

Flags: Read / Write

Default value: ""

### The `“css-value-type”` property

      “css-value-type”           guint

read-only gushort CSSValue:css-value-type.

Owner: WebKitDOMCSSValue

Flags: Read

Default value: 0